Subject: My notes from the One-Night Stand Plenary

From: "Spencer Dawkins" <[email-masked]>
Date: Wed, 10 Nov 2004 22:41:06 -0500

Please send corrections (and especially name mis-attributions and mispellings) to me privately, so I can make them in the official minutes, but this is what I caught so far...

Spencer

 1930-2200 Plenary - International Ballroom Center 
        - Welcome, and introduction - Harald Alvestrand 

  a.. 1314 attendees this IETF, pretty close to Seoul and San Diego
  b.. Number of countries is down from 40s to mid-20s
  c.. Still getting work done
  d.. 4 new WGs, 11 closed working groups
  e.. lots of IDs (especially in last couple of weeks)
  f.. Looks like we're headed for a new world's record in publishing RFCs...
  g.. Spring IETF in Minneapolis (March 6-11), Summer in Paris, France (France Telecom sponsoring), working on Fall location in Canada next year
        - Host's presentation ( name goes here - sorry! )

  a.. Even fingerprinting technology is incompatible ...
  b.. Why don't the Host RFCs actually help IETF hosts? At least none are written by Al Gore...
  c.. Gee, we've always been light on presentation technology (for more than 35 years!)
  d.. I remember all the events of my 14th year except the birth of the Internet...
  e.. We owed it to the IETF to play our part as hosts for this event, and we learned a lot
  f.. Recognition of Susan Brewer and Ben Crosby for special efforts in making this event happen
        - A word from the NomCom (Danny McPherson)

  a.. Looking for feedback, guidelines in RFC 3777, until 11/23/2004

  b.. [email-masked], or talk to someone with an orange dot
  c.. "retaliatory nominations not considered!"

        - State of operations: 
                RFC Editor report (Aaron Falk)

  a.. Document arrivals steadily increasing, professional copy- editor now in use - authors may see more queries now
  b.. RFC Ed desk hours at IETF seem to be popular - plan to continue at future IETFs
  c.. New boilerplate is available (recommend referring to these as BCP numbers)
  d.. Getting more XML than we used to - please send us your XML if you use it
  e.. Joe Touch has put together a new MS-Word template - feedback to Joe or to us
  f.. Submissions and publishing are running neck-and-neck
                IANA report (Doug Barton)

  a.. Spending time looking at draft queue dwell time - coming very close to goal of "less than four weeks" now
  b.. Have hired new staff (Pearl Liang), and Michelle is working with IETF more closely
  c.. Want to be more transparent
  d.. Queue is about 20 documents now, average age is decreasing
  e.. Meeting with IESG and IAB to improve reporting on performance and goals
  f.. Queue status page is now online
  g.. Private Enterprise Number registry and port registry requests current or close to it
                IESG operations (Allison Mankin, Bill Fenner) 

  a.. Training copy editors is really important...
  b.. Presenting update of same data described in San Diego
  c.. We're approving more documents than requested - we're getting ahead
  d.. Numbers are lower, but interval is 14 weeks against 22 Seoul-to-San Diego
  e.. Will continue to make this data available and to evaluate upcoming PROTO experiments - we're interested in suggestions
        - Review of Architectural Activities
                IAB Chair report (Leslie Daigle)

  a.. Seeking inputs on Link-Layer Indications and Liaison Relationships IAB drafts (see our web page for pointers)
  b.. OMA-IETF Liaison Report is approved and in publication queue
  c.. Meeting with ISOC on Administrative Restructuring
  d.. Pete Resnick reported on Messaging Workshop on consent-based messaging, supporting IRTF, IESG, and IAB
    a.. Solicited write-ups and did a two-day workshop of breakouts
    b.. Thought about key distribution and identity, ignored canonical ratholes ("elephant in the middle of the room")
    c.. Worked on engineering, research, and architectural topics
    d.. Will publish report and begin thinking about future workshops (this was first workshop in two and a half years - high startup transient!)
        - Administrative Restructuring (Harald and Leslie)

  a.. (Steve Bellovin is stepping down - being replaced by Sam Hartmann as Security AD)
  b.. We want to present where we are and where we are going and talk about the AdminRest draft
  c.. We believe there is community consensus for moving forward Admin as an ISOC activity - defining documents are still drafts ("speak now"), and we're starting to work based on these drafts
  d.. We've been working on this since August 2003, and pretty intensely
  e.. Have joint IAB/IESG draft on admin restructuring
  f.. Have discussed with ISOC board
  g.. Goals
    a.. Keep IETF going in 2005
    b.. Get BCP approval for what we're doing
    c.. Make decisions by people responsible for long-term success
    d.. Want to move quickly, be transparent, be effective
  h.. Have added editor team for BCP drafts, hoping for more community discussion
  i.. Will ask NOMCOM to fill IAOC slots when BCP approved (four week last call)
  j.. Would love to approve at January 6 telechat
  k.. Want to appoint a transition team for restructuring this month - looking for good candidates, please send e-mail to IAB/IESG
  l.. Want to seat initial IAOC in January/February timeframe, with contracts in place by mid-2005
  m.. None of this should be news, right?
  n.. Won't get to RFP before 2005, CNRI is working on new proposals for secretariat in 2005 - IASA transition team will review, may be able to sole-source for a period of time and then integrated with IASA
  o.. Harald presented document content and open issues

    a.. Read the documents - devil IS in the details.
    b.. IASA continues close relationship with ISOC

    c.. Continued separation between ISOC fundraising and IETF standards process
    d.. ISOC still has oversight

    e.. Remember- no change to IETF technical process
    f.. The acronyms are endless (this is an IETF activity, so...)
    a.. "One, single, salaried person who makes sure we have administrative contracts that are executed and meet IETF needs"
    b.. Almost everything is outsourced...
    c.. Seven voting members (two chosen by IETF NOMCOM, one by IESG, one by IAB)
    d.. Two funding sources (unchanged from today, but go into one pot)
    e.. Budget determined each year (details in the draft)
    f.. The BCP is an IETF document and will be last called on IETF list to the community.
    g.. ISOC must approve this, too (since they have to do their part)
    h.. Need to set timelines for the dates we're shooting for
  p.. Issues remaining
    a.. Final composition of IAOC?
  q.. Questions?
    a.. Dave Nelson - is new admin process more or less expensive than previously? We're adding one paid person, don't know about the total yet. Need to move overall administration under one umbrella - hope for efficiencies, don't know for a fact. Best-guess 2005 budget posted to IETF list this morning.

    b.. Michael Richardson - will we get better organization? Will we know where the meetings are? If not, it's our fault.
    c.. John Klensin - two observations and a question - can you put out critical documents that aren't on top of plenary meetings? We are making progress (documents were out two weeks ago). Not a complaint, just a request. The timeline is still a draft. Timelines have shifted - why? Will they shift in the future? We're adding external review by experts - great! Where does it fit in the timeline? Still thinking about this, because we just added external review yesterday morning. Keep an eye on new versions of the BCP draft for details, and guidance on advisors is appreciated. The timeline has been out since 00 of the Internet Draft, to be fair.
    d.. Richard Perlman - based on budgeting proposal this morning, much of our funding will come from public registry income - how dependent will we be on an external organization? We had multiple ideas on where to go in the consultant's report at San Diego - we think this is the lowest-risk option. Go home and tell your organizations to contribute to ISOC! Lynn - it's actually $840K, and next year is a significant increase (RFC Editor, for example). This is not an aggressive plan, not a conservative plan. Thinking about a long-term commitment that accommodates other ISOC activities (education, etc.). - Ted Hardie - look for details about operational reserves in the draft, what it covers, etc. Recognize that we need to raise additional funds in some way.
    e.. Brian Carpenter - we can evaluate the risk when we see a budget - thank you for sending it. This is already an improvement - we don't know what today's risk actually is! Should the IAB chair be voting or ex officio? My preference is voting. - Margaret Wasserman: all the proposals had different membership proposals, and we left them different to stimulate discussion. My preference is actually freeing up IAB to do architecture and not worry so much about stuff like this. Brian - this is now another external liaison, of course... Community discuss, please! 

    f.. Bob Kahn - I starting out thinking restructuring is a bad idea. I've come around. Some degree of restructuring is appropriate based on organizational maturity. I (CNRI) am optimistic, but do have some concerns: Any new restructuring has to stand on its own and meet real needs. There are needs that haven't been considered. Please look at Patrice's proposal (it's a current draft). How to define performance levels for support organizations and see if they are being met? The IETF will have additional needs in the future - need to think about this, too. The Internet has the attention of everyone in the world - the world needs to be comfortable with the new structure, too, and recognize that not all the issues will be technical ("public interest at large"). And don't count on sharing resources - the existing support structures are all under stress! Go with lightweight structure while we make the transition.
    g.. Harald - recognize that the IETF chair wasn't picked for this experise...  We have been aggressively open, and this has been our defense against charges of conspiracy. We need to stay open and stay relevant.
    h.. Dave Nelson - this may be necessary but not sufficient for long-term survival. What about long-term economics? Our work seems to be getting more expensive as time passes. San Diego presentation about all the organizations that want to play a part in "the Internet". Harald - this isn't actually part of AdminRest, but it does matter (Leslie agrees here). We need to be financially transparent and responsible.

    i.. Aaron Falk - RFC editor has added staff, has increased our staff cost, don't know about effect on overall costs. I sympathize with the work you guys have been doing (speaking as a liaison participant). Are there already new BCP editors? What do we do with our feedback? Harald - we've gotten suggestions for editors inside and outside the IESG. Send feedback to IESG or IAB, but issues to IETF list - we haven't gotten a lot of feedback yet.
    j.. Spencer's thank-you.
    k.. Patrice Lyons - a lot of organizations at this level of maturity formalize their status (it's BEEN 35 years). Should you have a formal existence? Should you have an Executive Director that reports directly to the organization, not to some other group? Third-parties providing legal advice aren't tied to this organization! Should the IETF determine its own budget? IAB/IAOC/ISOC isn't the IETF, or even the IETF leadership. Leslie - there's a lot more detail in the draft than on the slides - this really is an IETF budget. Maybe legal counsel really is required for some of this - we've had external counsel before.
    l.. Ted Hardie - "a collective delusion with brownies at breaks" - the IETF is so anti-organizational! becoming a membership organization probably makes sense, but the feedback we got was "no". We're trying to do the least we can do that allows the community to continue to do the volunteer work we've done in the past. If we don't listen to the community, they should fire us. 

    m.. Patrice - speaking as counsel to CNRI, but I'm a member of the community, too. You're talking about million-dollar budgets, but you're relying on third parties to plan your future. That's not what you want. Take six months, read my draft, think it over.
    n.. Harald - we decided not to incorporate in 1994, pretty strongly, and I'm still hearing support for this decision now ("we're fine as we are"). We just haven't seen any sign of community consensus to change this.
    o.. John Klensin - I've been concerned for six months that we would make imporant decisions (potentially fatal choices) without adequate community input. We're doing a lot of good things, but I'm concerned that (for instance) we may hire our "one person" according to the wrong job description. Also - there's a rumor about internal organizational changes at the secretariat - would anything like this disrupt the process or blindside the community? Also - IANAL, but I've hung around other standards bodies. In the US, there's an American National Standards Institute - they don't create standards, they accredit standards organizations - the vast majority of accredited organizations are not separately incorporated - doesn't agree with what Patrice was saying about mature organizations.
    p.. Bill Manning - I've read these documents - I worry about attrition, about people voting with their feet if the IETF becomes too onerous. Are we losing return attendees?
    q.. Tim Shepherd - What is the IETF? In some sense, it's only the administrative support organization, because we can vote with our feet! We're all volunteers. I'm not worried.

    r.. Patrice Lyons - we're not just moving papers around, we're talking about funding, and funding can bring ties if you're not careful. My proposal didn't require incorporation, only formal existence - the NYSE ran that way for years.
    s.. Dave Nelson - people aren't walking into the IETF, we haven't had any KAZAAs. Are we moving too fast?
    t.. David Black - I spend time in ANSI organizations, and John is slightly wrong - IEEE is incorporated. 

    u.. Spencer - is anyone thinking about increasing IETF participation? Harald doesn't want to talk about this as an issue of restructuring.

    v.. Harald - how many people think we're moving too fast? too slow? about right? Allison - how many people want us to just go away?
    w.. Bob Kahn - I'm hoping at the next meeting I'll be able to present proposals for CNRI changes, but, in the meantime - we never wanted to be in our role forever. We want to shed our "public interest" role - don't know how to offload that yet. We also want to develop a mechanism for operational change control - we're heading there. Things are costing less - that's a problem! Attendance is down, support is down - and that's not good. We want to turn a lot of CNRI oversight responsibilities directly to the IETF. Foretec may be a player in this, going forward, but we need to structure this relationship appropriately. About consensus - the Tao of the IETF for decades has been running code and rough consensus. This plan isn't running code yet - how can you have informed consensus? 

        - Joint IAB/IESG Open Plenary 

  a.. Bill Manning - IETF should no longer work on IPv6. We should work on IP or replacements of IP. Calling out versions leads to divisiveness. 

  b.. David Perkins - I was recently SPAMmed by IPv6 Summit because I came to the IETF. Do we have a zero tolerance policy against spammers? People who harvest contact information? Require double-opt-in? Harald - we're still working on preventing other people from spamming using our systems! But it sounds like a plan - send a draft.
  c.. Tony Hain - I agree with Bill Manning - remove version numbers from working group names. We're stuck, and we need to move forward, or we'll be roadkill. 

  d.. Margaret - we're not going to transition to IPv6 the way we expected - we need to focus on a network that has both, for a very long time.
  e.. Donald Eastlake - main reason attendance is down is because we got bombed. People have been predicting the death of the IETF for a while. 

  f.. Fred - on SIP/whitelist capabilities

  g.. Spencer - concerned about weird devices that transform packets in the network - BEHAVE, SIPPING ad hoc last night on Session Border Controllers. What if the wasp waist of the internet stops being IP? That's been the threat for ten years, and HTTP isn't the alternative like it was in the mid-1990s. Jonathan Rosenberg - share your concern, we need to meet this head-on and deal with it. Spencer - not criticizing our response and appreciate what we're doing now - I'm just concerned. When can we think about architecture some more?

  h.. (sorry - missed name) - concern is IPR. Interested in a protocol, but it has IPR. Harald - IPR is tricky - we're trying to do what we can. Steve Bellovin - community hasn't changed enough to change our stance on IPR since the last time we thought about it, and we can't fix the problem as a whole from inside the IETF.
  i.. <>(sorry - missed first name) Williams - Security BoF at last IETF - it's not about security, it's about contracts. Can more be done to help do business on the Internet? Russ - we expect to see a repeat BoF at Minneapolis.
  j.. Harald - we need more informed consent on AdminRest. We have one Internet, not two, and we need to act like it.

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf